%define major	6
%define libname %mklibname %{name} %{major}

Summary: 	Encrypted pass-through filesystem for Linux
Name:		encfs
Version:	1.7.4
Release:	%mkrel 3
License:	GPLv3+
Group:		File tools
Source0:	%{name}-%{version}.tar.xz
Patch0:		encfs-1.5.2-fixbuild.patch
Patch1:		encfs-1.5.2-fix-linkage.patch
URL: 		http://www.arg0.net/encfs
BuildRequires:	rlog-devel >= 1.3
BuildRequires:  fuse-devel >= 2.5
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	chrpath
BuildRequires:	boost-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	fuse >= 2.3
Requires:	openssl >= 0.9.7

%description
EncFS implements an encrypted pass-through filesystem in userspace using
FUSE. File names and contents are encrypted using OpenSSL.

%package -n 	%{libname}
Summary:	Libraries for encfs
Group:		System/Libraries

%description -n	%{libname}
Libraries for encfs.

%prep
%setup -q -n %{name}-1.7.4

%build
%configure2_5x --disable-rpath --with-boost-serialization=boost_serialization-mt --with-boost-system=boost_system-mt --with-boost-libdir=%{_libdir}
%make SED=/usr/bin/sed

%install
rm -fr %{buildroot}
%makeinstall_std
%find_lang %{name}

chrpath -d %{buildroot}%{_bindir}/{encfs,encfsctl}

# unneeded files
rm -f %{buildroot}%{_libdir}/libencfs.la
rm -f %{buildroot}%{_libdir}/libencfs.so

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libencfs.so.%{major}*


%changelog
* Tue Sep 09 2014 bb <bb> 1.7.4-3pclos2014
- rebuild against updated boost

* Sat Nov 30 2013 bb <bb> 1.7.4-2pclos2013
- rebuild
